--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/client/OptionDescriptions.properties	2014-10-07 19:19:37.595466881 +0200
+++ /dev/null	2014-10-07 19:19:37.000000000 +0200
@@ -1,109 +0,0 @@
-#
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
-# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License, Version 1.0 only
-# (the "License").  You may not use this file except in compliance
-# with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-# Descriptions for DHCP standard options, taken from RFC 2132 & 2242
-# Note that the keys here must correspond exactly to those used in the
-# /etc/dhcp/inittab file which defines the option tags we use for each
-# option code.  Note also that not all of the tags in /etc/dhcp/inittab
-# will have descriptions here; only those which are defined to be consumed
-# by the management tools need have descriptions in this file.
-
-Subnet=Client's subnet mask
-UTCoffst=Client's time offset from UTC in seconds
-Router=Routers on the client's subnet
-Timeserv=RFC 868 time servers
-IEN116ns=IEN 166 name servers
-DNSserv=DNS servers
-Logserv=MIT-LCS UDP log servers
-Cookie=RFC 865 cookie servers
-Lprserv=RFC 1179 line printer servers
-Impress=Imagen Impress servers
-Resource=RFC 887 Resource Location servers
-Hostname=Host name of client
-Bootsize=Boot file size in 512 byte blocks
-Dumpfile=Pathname of client's crash dump file
-DNSdmain=DNS domain name
-Swapserv=Swap server address
-Rootpath=Pathname of client's root disk
-ExtendP=BOOTP extensions file
-IpFwdF=IP forwarding flag
-NLrouteF=Non-local source routing flag
-PFilter=Policy filter for non-local source routing
-MaxIpSiz=Maximum IP datagram reassembly size
-IpTTL=Time-to-live for IP datagrams
-PathTO=Path MTU aging timeout in seconds
-PathTbl=Path MTU plateau table
-MTU=Interface MTU
-SameMtuF=All subnets are local flag
-Broadcst=Broadcast address
-MaskDscF=Perform mask discovery flag
-MaskSupF=Mask supplier flag
-RDiscvyF=Router discovery flag
-RSolictS=Router solicitation address
-StaticRt=Static routes
-TrailerF=Trailer encapsulation flag
-ArpTimeO=ARP cache timeout
-EthEncap=Ethernet encapsulation flag
-TcpTTL=TCP default TTL
-TcpKaInt=TCP keepalive interval
-TcpKaGbF=TCP keepalive garbage flag
-NISdmain=Network Information Service domain name
-NISservs=Network Information Service servers
-NTPservs=Network Time Protocol servers
-NetBNms=NetBIOS name servers
-NetBDsts=NetBIOS datagram distribution servers
-NetBNdT=NetBIOS node type
-NetBScop=NetBIOS scope
-XFontSrv=X Window System Font servers
-XDispMgr=X Window System display managers
-LeaseTim=Lease time in seconds
-T1Time=Time until RENEWING state
-T2Time=Time until REBINDING state
-NW_dmain=NetWare/IP domain name
-NWIPOpts=NetWare/IP information
-NIS+dom=Network Information Service+ domain
-NIS+serv=Network Information Service+ servers
-TFTPsrvN=TFTP server name
-OptBootF=Bootfile name
-MblIPAgt=Mobile IP home agent
-SMTPserv=Simple Mail Transport Protocol servers
-POP3serv=Post Office Protocol 3 servers
-NNTPserv=Network News Transport Protocol servers
-WWWservs=World Wide Web servers
-Fingersv=Finger servers
-IRCservs=Internet Relay Chat servers
-STservs=StreetTalk servers
-STDAservs=StreetTalk Directory Assistance servers
-SLP_DA=Service Location Protocol directory agent
-SLP_SS=Service Location Protocol agent scope
-SLP_NA=Service Location Protocol naming authority
-FQDN=Use fully-qualified domain names in DHCP options
-BootFile=Boot file
-BootSrvA=Boot server address
-BootSrvN=Boot server name
-LeaseNeg=Lease negotiable flag
-EchoVC=Echo vendor class to client
-BootPath=Default path for BOOTP client boot files