--- old/usr/src/cmd/cmd-inet/usr.sadm/dhcpmgr/com/sun/dhcpmgr/client/ResourceBundle.properties	2014-10-07 19:19:37.861206916 +0200
+++ /dev/null	2014-10-07 19:19:37.000000000 +0200
@@ -1,666 +0,0 @@
-#
-# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
-# Use is subject to license terms.
-#
-# CDDL HEADER START
-#
-# The contents of this file are subject to the terms of the
-# Common Development and Distribution License (the "License").
-# You may not use this file except in compliance with the License.
-#
-# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
-# or http://www.opensolaris.org/os/licensing.
-# See the License for the specific language governing permissions
-# and limitations under the License.
-#
-# When distributing Covered Code, include this CDDL HEADER in each
-# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
-# If applicable, add the following below this CDDL HEADER, with the
-# fields enclosed by brackets "[]" replaced with your own identifying
-# information: Portions Copyright [yyyy] [name of copyright owner]
-#
-# CDDL HEADER END
-#
-
-#
-# General resources
-#
-yes=Yes
-no=No
-
-delete=De&lete
-add=&Add
-modify=&Modify
-select=&Select
-
-error_message=Error Message
-
-err_must_be_root=You must be root to run this program.
-
-err_initializing_help=Unable to initialize the help system.
-err_starting_help=Could not start browser to view help.
-
-err_initializing_program=The following error occurred while starting this program:
-err_initializing_options=The daemon's defaults file appears to be corrupt.  Please see the dhcp(4) man page.
-err_reading_options=The following error occurred while reading the server's options:\n{0}
-
-init_error=DHCP Manager Initialization Error
-
-dhcp_manager=DHCP Manager
-server_error_title=Server Error
-server_warning_title=Server Warning
-server_not_running=The DHCP service is not running, so it could not be notified of this change.
-
-#
-# Standard options initialization
-#
-stdopts_init_error=Error initializing standard options: {0}
-
-#
-# Services menu items
-#
-restart_item=&Restart
-stop_item=S&top
-start_item=St&art
-disable_item=&Disable
-enable_item=E&nable
-modify_service_item=&Modify
-cvt_service_item=&Convert Data Store
-export_item=E&xport Data
-import_item=&Import Data
-
-#
-# Service status messages
-#
-service_restarted=The server has been restarted
-service_stopped=The server has been stopped
-service_started=The server has been started
-
-#
-# Help menu items
-#
-overview_item=&Overview
-howto_item=How &To
-index_item=&Index
-on_service_item=On Se&rvice
-on_addresses_item=On &Addresses
-on_macros_item=On &Macros
-on_options_item=On O&ptions
-
-#
-# Address view resources
-#
-address_view_name=Addresses
-network=Net&work:
-no_networks=No networks
-loading_networks=Loading network list
-networks_loaded=Found {0,number} networks
-address_status_message={0,number} addresses loaded
-loading_addresses=Loading addresses for network {0}
-run_network_wizard=You must configure a network for DHCP service\nusing the Network Wizard before creating any addresses.
-error_loading_addrs=The following error was encountered while reading addresses:\n{0}
-
-address_column=IP Address
-client_name_column=Client Name
-flags_column=Status
-expires_column=Expires
-server_column=Server
-macro_column=Macro
-client_column=Client ID
-comment_column=Comment
-
-show_addresses=Show &Addresses
-show_grid=Show &Grid
-
-#
-# Option view resources
-#
-option_view_name=Options
-loading_options=Loading options
-option_status_message={0,number} options loaded
-error_loading_options=The following error was encountered while reading options:\n{0}
-option_validation_warning=The following options contain errors:
-
-name_column=Name
-category_column=Category
-code_column=Code
-type_column=Type
-granularity_column=Granularity
-maximum_column=Maximum
-
-#
-# Macro view resources
-#
-macro_view_name=Macros
-option_column=Option Name
-value_column=Value
-macros=Macros
-loading_macros=Loading macros
-macro_status_message={0,number} macros loaded
-error_loading_macros=The following error was encountered while reading macros:\n{0}
-macro_validation_warning=The following macros contain invalid option settings:
-
-#
-# Create/duplicate/edit macro
-#
-create_macro_title=Create Macro
-edit_macro_title=Macro Properties
-duplicate_macro_title=Duplicate Macro
-option_name=Option Name:
-option_value=Option Value:
-
-input_error=Input Error
-create_location_error=Error making location: {0}
-create_macro_error=Error creating the macro {0}, message from server was: {1}
-edit_macro_error=Error editing the macro {0}, message from server was: {1}
-empty_macro_error=This macro contains no options
-bad_macro_name={0} is not a legal DHCP macro name
-bad_option_name={0} is not a legal DHCP option
-bad_option_value={0} is not a legal value for the DHCP option {1}
-macro_contains_option=This macro already contains the option {0}
-option_code_exists_error=Option code is already assigned to another option
-
-signal_server=Notify DHCP server of change
-
-#
-# Disable service resources
-#
-disable_service_title=Disable Service
-disable_relay_confirm=OK to disable the BOOTP relay service on server {0}?
-disable_service_confirm=OK to disable the DHCP service on server {0}?
-disable_service_error=Error disabling the service, message from server was: {0}
-
-#
-# Enable service resources
-#
-enable_service_title=Enable Service
-enable_relay_confirm=OK to enable the BOOTP relay service on server {0}?
-enable_service_confirm=OK to enable the DHCP service on server {0}?
-enable_service_error=Error enabling the service, message from server was: {0}
-
-#
-# Delete macro
-#
-delete_macro_title=Delete Macro
-delete_macro_confirm=OK to delete the macro {0}?
-delete_macro_error=Error deleting the macro {0}, message from server was: {1}
-
-#
-# Server state manipulation messages
-#
-startup_server_error=Unable to start the DHCP service, message from server was: {0}
-shutdown_server_error=Unable to stop the DHCP service, message from server was: {0}
-restart_server_error=Unable to restart the DHCP service, message from server was: {0}
-
-#
-# Find messages
-#
-find_macro_error=No macro containing {0} was found
-
-#
-# Create/duplicate/edit option
-#
-create_option_title=Create Option
-edit_option_title=Option Properties
-duplicate_option_title=Duplicate Option
-name_label=&Name:
-contents_label=Contents
-category_label=Categor&y:
-data_type_label=Data &Type:
-granularity_label=&Granularity:
-maximum_label=&Maximum:
-client_classes_label=Vendor Client Classes
-option_code_label=Cod&e:
-create_option_error=Error creating the option {0}: {1}
-edit_option_error=Error editing the option {0}: {1}
-empty_vendor_error=You must supply at least one vendor client class for a vendor option.
-invalid_client_class=The vendor client class you entered, {0}, is not valid.
-
-#
-# Delete option dialog
-#
-delete_option_title=Delete Option
-delete_option_confirm=OK to delete the option {0}?
-delete_option_error=Error deleting the option {0}, message from server was: {1}
-
-bootp=Bootp
-unusable=Unusable
-manual=Reserved
-permanent=Permanent
-dynamic=Dynamic
-
-#
-# Create/duplicate/edit address
-#
-edit_address_title=Address Properties
-duplicate_address_title=Duplicate Address
-create_address_title=Create Address
-address_exists=The address is already defined in the DHCP network table.
-address_missing=The address was not found in the DHCP network table.
-host_exists=A hosts table entry with this name already exists, the DHCP network table was not updated.
-host_missing=There is no hosts table entry with this name, the DHCP network table was not updated.
-invalid_address=The address you entered, {0}, is not a valid IP address.
-invalid_server=The server you entered, {0}, does not exist.
-invalid_client_id=The client ID you entered, {0}, is not valid.
-invalid_date=The expiration date you entered, {0}, is not valid.\nDates must be entered in a format similar to {1}.
-
-address_tab_label=Address
-lease_tab_label=Lease
-ip_address_label=&IP Address:
-owning_server_label=O&wned by Server:
-config_macro_label=Configuration &Macro:
-client_id_label=C&lient ID:
-comment_label=Commen&t:
-unusable_checkbox=Address is unusable
-bootp_checkbox=Assign only to BOOTP clients
-manual_checkbox=Reserved
-leased_label=&Dynamic assignment expiring:
-permanent_label=&Permanent assignment
-lease_policy_label=Lease Policy
-no_macro_item=(no macro assigned)
-
-#
-# Delete address dialog
-#
-delete_address_title=Delete Address
-delete_address_confirm=OK to delete the following addresses?
-
-delete_address_error=The following errors occurred while deleting addresses:
-delete_addr_progress=Deleting address:
-
-#
-# Address wizard resources
-#
-add_addresses=&Address Wizard
-address_wizard_title=Add Addresses to Network {0}
-
-add_wiz_number_desc=Specify the number of IP addresses.
-add_wiz_explain=This wizard will help you add IP addresses to a DHCP server in one operation.  The wizard adds the IP addresses to the selected network table in the DHCP database.
-add_wiz_count_explain=How many addresses do you want to add?
-add_wiz_count_label=Number of IP &Addresses:
-add_wiz_comment_explain=Why are you adding these addresses? Enter a comment, or leave this space blank.
-add_wiz_comment_label=Co&mment:
-add_wiz_count_error=You must enter a non-zero value for the number of IP addresses.
-
-add_wiz_server_desc=Select the server and starting IP address.
-add_wiz_server_explain=Which DHCP server will manage these addresses?
-add_wiz_server_label=&Managed by Server:
-add_wiz_start_explain=What is the first IP number of the range of addresses you want to add?
-add_wiz_start_label=S&tarting IP Address:
-add_wiz_invalid_address={0} is not a valid IP address.  Please enter a correctly formatted IP address.
-
-add_wiz_confirm_desc=Confirm the IP address list.
-add_wiz_confirm_explain=Is this the list of addresses you want to add?  If not, go back to the previous steps and change the number of addresses or starting address.
-add_wiz_confirm_label=&IP Addresses To Be Added:
-
-add_wiz_configure_desc=Enter client configuration information.
-add_wiz_macro_explain=How do you want to configure the new clients?  Choose a configuration macro from the list below.  Press "View" to see the contents of the macro.
-add_wiz_macro_label=Configuration &Macro:
-add_wiz_view_button=&View
-add_wiz_flag_explain=Would you like to mark these addresses so they are unusable until you decide otherwise?
-add_wiz_unusable_label=Addresses are unusable
-
-add_wiz_lease_desc=Select the lease type.
-add_wiz_lease_explain=What type of lease do you want?\n\nA dynamic lease means that clients receive IP addresses as they become available, on a first-come, first-served basis.  A permanent lease means that a client receives the same IP address every time that it connects to the network.
-add_wiz_lease_label=&Lease Type:
-
-add_wiz_review_desc=Review.
-add_wiz_review_explain=Is the following information correct?  If not, you can change entries by going back to the corresponding wizard step.
-add_wiz_review_unusable=Addresses are Unusable:
-
-generate_addresses_warning=Only {0,number} of the {1,number} requested addresses could be generated.
-add_wiz_none_available=None of the addresses you requested are available.  Try a different starting address.
-warning=Warning
-
-add_wiz_progress=Adding address:
-
-add_wiz_error=The following errors were encountered while adding addresses:
-
-bad_network_address=The address you entered, {0}, is not part of the network {1}.
-bad_server_name={0} is not a known server.  Please enter a valid server name.
-
-#
-# Definitions for the modify multiple addresses dialog
-#
-modify_multiple_addresses=Modify Multiple Addresses
-
-modify_multiple_number=&Number of Addresses Selected:
-modify_multiple_server=Managing &Server:
-modify_multiple_comment=Commen&t:
-modify_multiple_macro=Configuration &Macro:
-modify_multiple_bootp=&BootP:
-modify_multiple_unusable=&Unusable:
-modify_multiple_lease=&Lease Type:
-
-modify_multiple_keep=Keep current settings
-modify_multiple_bootp_all=Assign all addresses only to BootP clients
-modify_multiple_bootp_none=Do not assign addresses to BootP clients
-modify_multiple_unusable_all=Mark all addresses unusable
-modify_multiple_unusable_none=Mark all addresses usable
-modify_multiple_dynamic=Dynamic
-modify_multiple_permanent=Permanent
-
-modify_multiple_error=The following errors occurred while modifying addresses:
-modify_multiple_progress=Modifying address:
-
-#
-# Definitions for release address dialog
-#
-release_addresses=&Release Addresses
-release_address_title=Release Addresses
-release_address_confirm=OK to release the following addresses?
-release_addr_progress=Releasing address:
-release_address_error=The following errors occurred while releasing addresses:
-
-#
-# Datastore Wizard
-#
-ds_wiz_datastore_desc=Select data storage format.
-ds_wiz_datastore_parm_desc=Configure data store.
-ds_wiz_init_error=Error initializing {0} data store: {1}
-
-#
-# Configuration Wizard
-#
-cfg_wiz_title=DHCP Configuration Wizard
-cfg_wiz_explain=This wizard will help you configure the system as a DHCP server.
-cfg_wiz_store_explain=Where would you like to store the DHCP configuration data?
-
-cfg_wiz_lease_explain=How long can clients use the IP addresses assigned by this server?
-cfg_wiz_lease_length=&Length of Lease:
-cfg_wiz_negotiable_explain=Check the box below to enable clients to renew their leases prior to expiration.  If you uncheck it, clients will be forced to reboot to obtain a new address when the lease expires.
-cfg_wiz_negotiable=Clients can renew their leases
-cfg_wiz_lease_desc=Specify lease policy.
-cfg_wiz_hours=hours
-cfg_wiz_days=days
-cfg_wiz_weeks=weeks
-cfg_wiz_zero_lease=You cannot specify a lease length of zero.  Please enter a new lease length.
-cfg_wiz_lease_overflow=The lease value you entered is too large.\nLeases must be no more than {0} {1}
-
-cfg_wiz_dns_explain=Edit the information below to supply the correct Domain Name Service (DNS) configuration for DHCP clients of this server.
-cfg_wiz_dns_domain=&DNS Domain:
-cfg_wiz_dns_servers=DNS Servers:
-cfg_wiz_dns_desc=Specify DNS domain and servers.
-cfg_wiz_dns_both=You must either supply both a DNS domain and list of servers, or neither.
-
-cfg_wiz_network_explain=Select a network from the list, or type in a network address, then type in a subnet mask if the displayed default is not correct.
-cfg_wiz_network=Network &Address:
-cfg_wiz_network_explainmore=The DHCP server will be configured to provide IP addresses to clients on this network.  Later, you can configure this server to support additional networks with the Network Wizard.
-cfg_wiz_network_desc=Specify network address and subnet mask.
-cfg_wiz_mask=Subnet &Mask:
-cfg_wiz_bad_network=The network you entered, {0}, is not a valid IP network address.
-cfg_wiz_bad_mask=The subnet mask you entered, {0}, is not valid.
-cfg_wiz_network_configured=The network you entered, {0}, is already configured on this server.
-
-cfg_wiz_nettype_explain=Please enter the following information for the network:
-cfg_wiz_nettype=Network Type:
-cfg_wiz_nettype_label=Network Type
-cfg_wiz_routing_label=Routing
-cfg_wiz_lan=Local-Area (LAN)
-cfg_wiz_point=Point-to-Point
-cfg_wiz_router_discovery=Use router discovery protocol
-cfg_wiz_router_specify=Use router:
-cfg_wiz_nettype_desc=Specify network type and router.
-cfg_wiz_router_net_err=The router address you entered, {0}, is not on the network {1}.\nPlease enter a router address on that network.
-cfg_wiz_router_addr_err=The router address you entered, {0}, is not a valid IP address.
-
-cfg_wiz_nis_explain=Edit the information below to supply the correct Network Information Service (NIS) configuration to DHCP clients on this network.
-cfg_wiz_nis_domain=NIS &Domain:
-cfg_wiz_nis_servers=NIS Servers:
-cfg_wiz_nis_desc=Specify NIS domain and servers.
-cfg_wiz_nis_both=You must either supply both a NIS domain and list of servers, or neither.
-
-cfg_wiz_datastore=Data Storage:
-cfg_wiz_hosts_resource=Hosts Nameservice:
-cfg_wiz_router=Router:
-cfg_wiz_review_explain=The system will be configured as a DHCP server\nwith the following settings:
-cfg_wiz_review_desc=Review.
-cfg_wiz_lease_fmt={0,number} {1}, {2}
-cfg_wiz_renewable=renewable
-cfg_wiz_nonrenewable=non-renewable
-
-#
-# Convert Wizard
-#
-cvt_wiz_title=Data Store Conversion
-cvt_wiz_explain=This wizard enables you to convert the DHCP tables from the current data store format, {0}, to the data store format you specify.
-cvt_wiz_store_explain=Select the new data store format:
-cvt_wiz_save_explain=The existing DHCP tables are deleted by default after the data store is successfully converted. If you want to save the tables in the old data store, check the box below.
-cvt_wiz_save_note=Note: If an error occurs during the conversion process, the old data store will not be deleted, and the DHCP server can continue to use it.
-cvt_wiz_save_label=Save old tables?
-cvt_wiz_save_tables_desc=Choose to save existing DHCP tables.
-cvt_wiz_review_desc=Review.
-cvt_wiz_review_explain=The DHCP data store will be converted, using the following settings:
-cvt_wiz_review_note=Note: The DHCP service will be stopped and restarted as part of the conversion process.
-cvt_wiz_old_datastore=Current data store:
-cvt_wiz_new_datastore=New data store:
-cvt_wiz_save_tables=Save old tables:
-cvt_wiz_table=Table
-cvt_wiz_dhcptab=dhcptab
-cvt_wiz_defaults=DHCP defaults
-cvt_wiz_progress=Converting Data Store:
-cvt_wiz_progress_dhcptab_cvt=Converted dhcptab
-cvt_wiz_progress_network_cvt=Converted {0}
-cvt_wiz_progress_dhcptab_del=Deleted dhcptab
-cvt_wiz_progress_network_del=Deleted {0}
-cvt_wiz_progress_defaults=Updated the DHCP defaults file
-cvt_wiz_progress_dhcptab_cvt_err=Error converting dhcptab
-cvt_wiz_progress_network_cvt_err=Error converting {0}
-cvt_wiz_progress_dhcptab_del_err=Error deleting dhcptab
-cvt_wiz_progress_network_del_err=Error deleting {0}
-cvt_wiz_progress_defaults_err=Error updating the DHCP defaults file
-cvt_wiz_error=Error
-cvt_wiz_same_datastore_error=The source data store is the same as destination data store.
-cvt_wiz_location_error=Error making location: {0}
-cvt_wiz_networks_error=Error getting networks: {0}
-cvt_wiz_errors=The following errors were encountered during the conversion:
-cvt_wiz_server_shutdown=Shutdown the service
-cvt_wiz_shutdown_err=Error shutting down DHCP server
-cvt_wiz_server_started=Started the service
-cvt_wiz_start_err=Error starting the DHCP server
-
-#
-# Definitions for the Network Wizard, which is really just a subset of the
-# config wizard with some wording changes
-#
-net_wiz_title=Add a DHCP Network
-add_network=Ne&twork Wizard
-net_wiz_net_explain=This wizard will help you configure additional networks on your DHCP server.  For each network, the wizard creates a network macro to supply clients with relevant network information and a network table to record IP address assignments.\n\nSelect a network from the list, or type in a network address, then type in a subnet mask if the displayed default is not correct.
-net_wiz_review_explain=The following network will be added to the DHCP service:
-create_network_table_error=Unable to create the table for network {0}, message from server was: {1}
-
-#
-# Relay configuration
-#
-configure_relay_title=Configure BOOTP Relay
-dhcp_servers=DHCP Servers
-configure_relay_explain=Enter the IP addresses of the DHCP servers to which this BOOTP relay should forward requests.
-configure_relay_err_server_list=You must enter the address of at least one DHCP server to which this relay should forward DHCP traffic.
-
-#
-# Configuration choice dialog
-#
-configure_choice_title=Choose Server Configuration
-configure_choice_explain=This server can be configured as either a DHCP server or a BOOTP relay.  If you don't want to do either of these things, press Cancel and this tool will exit.
-configure_dhcp_server=Configure as DHCP server
-configure_bootp_relay=Configure as BOOTP relay
-configure_relay_lookup_error=Unable to find a server named {0}.\nIf you know its IP address, you may enter that instead.
-
-#
-# Service options dialog
-#
-service_options_title=Modify Service Options
-service_options_verbose=Verbose log messages
-service_options_hops=&Maximum number of relay agent hops:
-service_options_bootp_compat=BOOTP Compatibility
-service_options_bootp_none=None
-service_options_bootp_auto=Automatic
-service_options_bootp_manual=Manual
-service_options_detect_duplicates=Detect duplicate IP addresses
-service_options_reload_dhcptab=Reload dhcptab every
-service_options_reload_minutes=m&inutes
-service_options_owner_ip=Act as owner of the following server addresses
-service_options_owner_ip_addresses=Server Addresses
-service_options_update_dns=Update DNS host information upon client request
-service_options_timeout_dns=&Timeout DNS update attempt after
-service_options_cache=C&ache offers for
-service_options_seconds=seconds
-service_options_options=Options
-service_options_interfaces=Interfaces
-service_options_addresses=Addresses
-service_options_restart=Restart Server
-service_options_interface=Interface
-service_options_network=Network
-service_options_monitored=&Monitored Interfaces:
-service_options_ignored=&Ignored Interfaces:
-service_options_log_transactions=Log Transactions to syslog Facility:
-service_options_error=Error modifying service options, message from server was: {0}
-
-#
-# Delete Networks dialog
-#
-delete_networks=Delete &Networks
-delete_networks_title=Delete Networks
-delete_networks_keep=&Keep Networks:
-delete_networks_delete=&Delete Networks:
-delete_networks_error=The following networks were not deleted:
-network_column=Network
-delete_networks_progress=Deleting network:
-
-#
-# Unconfigure dialog
-#
-unconfigure_service_item=&Unconfigure
-unconfigure_title=Unconfigure Service
-unconfigure_dhcp=Are you sure it is OK to unconfigure the DHCP service?  If you are using a shared data store, removing the dhcptab and network tables may affect other DHCP servers.
-unconfigure_bootp=Are you sure it is OK to unconfigure the BOOTP relay service?  This may cause clients to be unable to access the network.
-unconfigure_shutdown=DHCP Manager will exit once the service has been unconfigured.
-unconfigure_delete_tables=Remove the dhcptab and all DHCP network tables
-
-unconfigure_progress=Unconfiguring the service
-unconfigure_error_heading=Operation
-unconfigure_error_messages=The following errors occurred while performing\nthe operations necessary to unconfigure the service
-
-unconfigure_error_shutdown=Shutdown
-unconfigure_server_shutdown=Shutdown the service
-
-unconfigure_error_defaults=Removing defaults file
-unconfigure_defaults_deleted=Defaults file removed
-
-unconfigure_error_macro=Removing server macro
-unconfigure_macro_deleted=Server macro removed
-
-unconfigure_error_dhcptab=Removing dhcptab
-unconfigure_dhcptab_deleted=Removed dhcptab
-
-unconfigure_error_network=Removing network {0}
-unconfigure_network_progress=Removed network {0}
-
-#
-# Transition dialog from config wizard to address wizard
-#
-start_address_wizard_title=Start Address Wizard?
-start_address_wizard=The DHCP server cannot provide addresses to clients\nuntil you configure it with a list of addresses it may use.\nWould you like to run the Address Wizard\nto configure addresses for the server?
-
-#
-# Transition dialog from config wizard to conversion wizard
-#
-start_cvt_wizard_title=Start Conversion Wizard?
-start_cvt_wizard=A version mismatch exists between the DHCP\nmanagement software and the DHCP data stores\nconfigured for the server. Neither the dhcpmgr nor\n the DHCP server can function properly until the\n data stores are converted to the current version.\n Do you wish to convert the data stores now?
-
-#
-# Dialog to view a macro while in the address wizard
-#
-view_macro_title=View Macro
-ok=&OK
-
-#
-# Dialog to select an option while editing/creating a macro
-#
-select_option_title=Select Option
-description_column=Description
-
-#
-# Relay view
-#
-relay_view_name=BOOTP Relay
-relay_view_text=This server is configured as a BOOTP relay.  You may manage the relay service status and configuration through the Service menu.
-
-#
-# Export wizard resources
-#
-export_wiz_title=Export Data
-exp_wiz_dont_export=Do Not Export
-exp_wiz_export=Export
-
-exp_wiz_net_desc=Select networks
-exp_wiz_net_explain=This wizard helps you export some or all of the DHCP data configured on this server to a file that can then be imported into another Solaris DHCP server's configuration.\n\nSelect networks to export from this server's configuration and move them to the Export column.
-
-exp_wiz_macro_desc=Select macros
-exp_wiz_macros_explain=Select the macros to export and move them to the Export column.
-
-exp_wiz_option_desc=Select options
-exp_wiz_options_explain=Select the options to export and move them to the Export column.
-
-exp_wiz_file_desc=Specify export file location
-exp_wiz_file_explain=Type the full path name of the file to which the configuration data should be exported.
-exp_wiz_delete_explain=Do you want to automatically delete the exported data from this server after the export is completed?
-exp_wiz_file_label=&Export file:
-exp_wiz_delete_exported=Delete exported data
-
-exp_wiz_review_desc=Review
-exp_wiz_review_explain=Review your selections below.  If you wish to make any changes, go back to the corresponding step and make the necessary corrections.
-exp_wiz_review_nets=&Networks:
-exp_wiz_review_macros=&Macros:
-exp_wiz_review_options=&Options:
-exp_wiz_delete_label=Delete Exported Data:
-
-exp_progress_title=Export Progress
-
-exp_error_occurred=The following error occurred while exporting:
-exp_overwrite=The export file exists; OK to overwrite?
-exp_overwrite_title=Overwrite File
-
-#
-# Import wizard resources
-#
-import_wiz_title=Import Data
-imp_progress_title=Import Progress
-
-imp_wiz_file_desc=Specify import file location
-imp_wiz_location_explain=This wizard helps you import DHCP configuration data previously exported from a Solaris DHCP server.\n\nType the full pathname to the file of exported data, which you want to import to this server.
-imp_wiz_file_label=&Import file:
-imp_wiz_override_explain=Do you want to overwrite existing data on this server that conflicts with the data being imported?
-imp_wiz_override_data=Overwrite existing data
-
-imp_wiz_review_explain=Review your selections below.  If you wish to make any changes, go back to the corresponding step and make the necessary corrections.
-imp_wiz_review_info=File {0} was exported
-imp_wiz_review_src=From system:
-imp_wiz_review_user=By user:
-imp_wiz_review_date=On:
-imp_wiz_review_override=Overwrite data:
-imp_wiz_review_desc=Review
-
-imp_error=Import Error
-imp_err_file_not_found=The import file could not be opened.
-imp_err_reading_header=The import file header could not be read; the error message was:\n{0}
-
-
-# Mnemonics added for accessibility conformance. These mnemonics are for
-# labels that are associated with textfields, checkboxes, comboboxes etc.
-# NB: We must take take to make sure that each mnemonic is unique within
-# the dialog eg: OK, Cancel, Reset & help (O, C, R & H) should be avoided
-# as mnemonics for other components in the dialog. Also NB, this is not the
-# complete list of all Mnemonics but a list of additional ones, the original
-# resource strings have been updated to support mnemonics where possible 
-# first i.e. `&` added to the string.
-#
-# Create Macro Dialog
-#
-md_name_label=&Name:
-md_option_name=O&ption Name:
-md_option_value=Option &Value:
-
-# Create Option Properties Dialog
-#
-op_name=&Name: